angular.module('demoWidget6Module')

    /**
     * Configuration for the custom widget
     * The config contains all configurable properties of the widget
     */
    .config(['dashboardProviderProvider','columnTypeConfigUrlServiceProvider',
        function (dashboardProviderProvider, columnTypeConfigUrlServiceProvider) {
            dashboardProviderProvider.widget('demoWidget6', {
                title: 'Demo Widget 6',
                category: 'customWidget',
                toolTip : {
                    "de":"Demo Widget 6",
                    "en":"Demo Widget 6"
                },
                actions: ['assignData',
                    'filter',
                    'editName',
                    'hideHeader','hideBorder',
                    'autoRefresh',
                    'hLine',
                    'preselection',
                    'copy', 'paste', 'cut', 'delete',
                    'toTop', 'bringForward', 'sendBackward', 'toBack'],
                viewModeActions: ['deleteSelection'],
                description: 'Demo Widget 6 - Filter',
                templateUrl: 'widgets/customWidgets/demoWidget6/partials/demoWidget6.html',
                iconUrl: 'widgets/customWidgets/demoWidget6/assets/images/demoWidget6MenuIcon_32x32.png',
                controller: 'demoWidget6Ctrl',
                container: {
                    hideHeader: false,
                    hideBorder: false,
                    width: 400,
                    height: 300,
                    contentMinHeight: 60,
                    contentMinWidth: 60
                },
                assignData: 'widgets/customWidgets/demoWidget6/partials/assignDataDialog/assignData.html',
                assignColumns: 'widgets/customWidgets/demoWidget6/partials/assignDataDialog/assignColumns.html',
                advancedProperties: 'widgets/customWidgets/demoWidget6/partials/assignDataDialog/advancedProperties.html',
                resolve: {
                    widgetInterface: function(config, demoWidget6DataService) {
                        config.widgetInterface = {
                            getDataMapping: demoWidget6DataService.getDataMapping,
                            calculateCoordinateList: demoWidget6DataService.calculateCoordinateList
                        };
                    }
                },
                thresholdProperties: 'widgets/customWidgets/demoWidget6/partials/assignDataDialog/thresholdProperties.html'
            });

            columnTypeConfigUrlServiceProvider.addColumnTypeUrlMapByWidget('demoWidget6',
                {
                    NUMERIC : ['widgets/customWidgets/demoWidget6/partials/assignDataDialog/columnTypeConfigTemplates', 'numeric.html'].join('/'),
                    DATE : ['widgets/customWidgets/demoWidget6/partials/assignDataDialog/columnTypeConfigTemplates', 'date.html'].join('/'),
                    TEXT : ['widgets/customWidgets/demoWidget6/partials/assignDataDialog/columnTypeConfigTemplates', 'text.html'].join('/')
                });
        }
    ]);